GROUPMOD(8)

NAZWA
groupmod - modyfikuj definicję grupy systemowej

SKŁADNIA

groupmod [opcje] GRUPA

OPIS

Polcenie groupmod modifikuje definicję grupy GRUPA poprzez modifikację stosownego wpisu w bazie grup.

OPCJE

Polecenie groupmod posiada następujące opcje:

-g, --gidGID
    The group ID of the given GROUP will be changed to GID. The value of GID must be a non-negative decimal integer. This value must be unique, unless the -o option is used. Values between 0 and 999 are typically reserved for system groups. Any files that have the old group ID and must continue to belong to GROUP, must have their group ID changed manually.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-a, --appendNOWA_GRUPA
    Nazwa grupy zostanie zmieniona z GRUPA na nazwę NOWA_GRUPA.

-o, --non-unique
    When used with the -g option, allow to change the group GID to a non-unique value.

-p, --passwordHASŁO
    The encrypted password, as returned by crypt(3). The default is to disable the password.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

PLIKI

/etc/group
    Informacje o grupach użytkowników.

/etc/gshadow
    Informacje chronione o grupach użytkowników.

KOD ZAKOŃCZENIA

Polecenie groupmod kończy działanie z następującymi wartościami kodów zakończenia:

0
    poprawne zakończenie działania programu

2
    niepoprawna składnia polecenia

3
    nieprawidłowy argument opcji

4
    specified group doesn't exist

6
    specified group doesn't exist

9
    nazwa grupy już jest w użyciu

10
    nie można zaktualizować pliku z grupami

ZOBACZ TAKŻE

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).